# Get drift automation status for a workspace

Returns whether drift automation is enabled and related metadata.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/drift-config
Version: 1.0
Security: x-api-key

## Query parameters:

  - `provisioner` (string)
    Provisioner key (defaults to opentofu when omitted)
    Example: "Ullam voluptas voluptatibus omnis perspiciatis voluptas."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "ug"

  - `project` (string, required)
    Project is the project identifier.
    Example: "hc"

  - `workspace` (string, required)
    Workspace identifier
    Example: "Laboriosam voluptate."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "grp"

## Response 200 fields (application/json):

  - `enabled` (boolean, required)
    Example: true

  - `pipeline_id` (string)
    Example: "Rerum consequatur quae quia ut."

  - `run_every` (integer)
    Repeat interval; set when schedule is configured
    Example: 7386947687069677000

  - `run_every_unit` (string)
    hours or days
    Enum: "hours", "days"

  - `trigger_id` (string)
    Example: "Consequatur hic ad distinctio quia consequatur voluptatem."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


